export const fullUserAvatarFragment = `
  fragment FullUserAvatar on User {
    id
    identity
    avatar
    avatarBlurhash
    avatarLabel
    avatarDefaultColor
    fullName
    aboutMe
    pronouns
  }
`

export const fullUserFragment = `
  fragment FullUser on User {
    id
    identity
    avatar
    avatarBlurhash
    avatarDefaultColor
    avatarLabel
    identity
    fullName
    firstName
    lastName
    aboutMe
    pronouns
    location
    geolocationId
    engagementLevel
    interests {
      id
      title
      slug
    }
    sdgs {
      id
      title
      slug
    }
    skills {
      id
      title
      slug
    }
    connectionStatusToMyself
  }
`

export const userByIdQuery = `
${fullUserAvatarFragment}

query UserById($userId: UUID!) {
  userById(id: $userId) {
    ...FullUserAvatar
  }
}
`
